Get the contract by data asset name - Gable Docs

Get the Contract by Data Asset Name

Overview

Fetch the contract by data asset name.

Request

Method

GET

URL

/v0/contract/data-asset/{id}

Example cURL Request

curl --request GET \
  --url https://demo-api.gable.ai/v0/contract/data-asset/{id} \
  --header 'X-API-KEY: <api-key>'

Example Python Code

import requests

url = "https://demo-api.gable.ai/v0/contract/data-asset/{id}"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)

Example JavaScript Code

const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://demo-api.gable.ai/v0/contract/data-asset/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

Example PHP Code

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://demo-api.gable.ai/v0/contract/data-asset/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => ["X-API-KEY: <api-key>"]
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Response

Success Response (200)

{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "contractSpec": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "doc": "<string>",
    "name": "<string>",
    "namespace": "<string>",
    "owner": "jsmith@example.com",
    "schema": [
      {
        "type": "struct",
        "name": "<string>",
        "fields": [
          {
            "type": "struct",
            "name": "<string>",
            "fields": "<array>",
            "alias": "<string>",
            "doc": "<string>",
            "logical": "<string>",
            "optional": true
          }
        ],
        "alias": "<string>",
        "doc": "<string>",
        "logical": "<string>",
        "optional": true,
        "constraints": {}
      }
    ],
    "dataAssetResourceName": "<string>",
    "dataAssetResourceNameList": ["<string>"],
    "restrictPii": true
  },
  "contractSpecRaw": "<string>",
  "violations": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timestamp": "2023-11-07T05:31:56Z",
      "contractId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contractVersion": "<string>",
      "contractFieldName": "<string>",
      "entityType": "DATA_CONTRACT",
      "dataAssetResourceName": "<string>",
      "expectedValue": "<string>",
      "actualValue": "<string>",
      "eventTitle": "<string>",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "contractName": "<string>",
      "contractDomain": "<string>",
      "dataAssetFieldProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "VIOLATION",
      "prLink": "<string>"
    }
  ],
  "parentRowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "version": "<string>",
  "gitHash": "<string>",
  "gitRepo": "<string>",
  "gitUser": "<string>",
  "fileUri": "<string>",
  "filePath": "<string>",
  "reviewers": ["<string>"],
  "mergedAt": "2023-11-07T05:31:56Z",
  "enforcementLevel": "INACTIVE",
  "lastEditorUserId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "lastEditorEmail": "<string>",
  "lastEditorFirstName": "<string>",
  "lastEditorLastName": "<string>",
  "lastEditorGithubHandle": "<string>",
  "contractSpecFieldToViolationStatusMapping": {}
}

Error Responses

400 404